Bug 9675 - Replace YUI buttons on authorities home page with Bootstrap
Summary: Replace YUI buttons on authorities home page with Bootstrap
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-20 19:36 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9675 - Replace YUI buttons on authorities home page with Bootstrap (3.26 KB, patch)
2013-02-20 20:05 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9675 - Replace YUI buttons on authorities home page with Bootstrap (5.78 KB, patch)
2013-02-21 19:42 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9675 - Replace YUI buttons on authorities home page with Bootstrap (5.89 KB, patch)
2013-02-21 20:15 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 9675 - Replace YUI buttons on authorities home page with Bootstrap (5.98 KB, patch)
2013-03-02 17:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-02-20 19:36:59 UTC
The toolbar include file (authorities-toolbar.inc) used by the authorities home page uses YUI for buttons and button menus. It should use Bootstrap instead.
Comment 1 Owen Leonard 2013-02-20 20:05:23 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-02-21 18:42:33 UTC
Ooops. Does not apply.
Seems that your authorities-toolbar.inc is not the same as master's.
Comment 3 Owen Leonard 2013-02-21 19:42:39 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2013-02-21 19:43:34 UTC
Sorry about that -- I missed a commit in an interactive rebase. Please try again.
Comment 5 Bernardo Gonzalez Kriegel 2013-02-21 20:15:05 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2013-03-02 17:15:02 UTC
Created attachment 15828 [details] [review]
[PASSED QA] Bug 9675 - Replace YUI buttons on authorities home page with Bootstrap

This patch converts the toolbar include file used by the
authorities home page and authority view page
(authorities-home.pl and authorities/detail.pl) replacing YUI button
and menu code with Bootstrap.

To test:

- View the authorities home page and confirm that the "New
  authority" button looks correct and works correctly.
- Search for an existing authority and click the "Details" link to view.
  "Edit," "Delete," "Save," and "New authority" buttons should look
  correct and work correctly. The "Delete" button should only appear for
  authorities which are unused.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: Now it works. New and all operations on existing auth works.
No errors.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works nicely, no problems found.
Comment 7 Katrin Fischer 2013-03-02 17:16:37 UTC
I was a bit surprised that the "New" pull down is last on an authority detail page as it's normally the first on other pages.
Comment 8 Jared Camins-Esakov 2013-03-02 17:20:32 UTC
This patch has been pushed to master.